vpx_tpl.h File Reference

Describes the TPL stats descriptor and associated operations. More...

`#include <stdio.h>`
`#include "./vpx_integer.h"`
`#include "./vpx_codec.h"`

Go to the source code of this file.

## Data Structures

struct | VpxTplBlockStats
| Temporal dependency model stats for each block before propagation. More...
struct | VpxTplFrameStats
| Temporal dependency model stats for each frame before propagation. More...
struct | VpxTplGopStats
| Temporal dependency model stats for each GOP before propagation. More...

## Macros

#define | VPX_TPL_ABI_VERSION
| Current ABI version number.

## Typedefs

typedef struct VpxTplBlockStats | VpxTplBlockStats
| Temporal dependency model stats for each block before propagation.
typedef struct VpxTplFrameStats | VpxTplFrameStats
| Temporal dependency model stats for each frame before propagation.
typedef struct VpxTplGopStats | VpxTplGopStats
| Temporal dependency model stats for each GOP before propagation.

## Functions

vpx_codec_err_t | vpx_write_tpl_gop_stats (FILE *tpl_file, const VpxTplGopStats *tpl_gop_stats)
| Write VpxTplGopStats to file.
vpx_codec_err_t | vpx_read_tpl_gop_stats (FILE *tpl_file, VpxTplGopStats *tpl_gop_stats)
| Read VpxTplGopStats from file.
void | vpx_free_tpl_gop_stats (VpxTplGopStats *tpl_gop_stats)
| Free the memory allocated for VpxTplGopStats.

## Detailed Description

Describes the TPL stats descriptor and associated operations.

## Function Documentation

## vpx_write_tpl_gop_stats()

vpx_codec_err_t vpx_write_tpl_gop_stats | ( | FILE * | tpl_file,
|  | const VpxTplGopStats * | tpl_gop_stats
| ) |  |

Write VpxTplGopStats to file.

Accepts an opened file handle and writes `tpl_gop_stats`.

Parameters

  [in] | tpl_file | A FILE pointer that's already been opened.
  [in] | tpl_gop_stats | VpxTplGopStats that contains TPL stats for the whole GOP.

Returns
  VPX_CODEC_OK if TPL stats are successfully written.

## vpx_read_tpl_gop_stats()

vpx_codec_err_t vpx_read_tpl_gop_stats | ( | FILE * | tpl_file,
|  | VpxTplGopStats * | tpl_gop_stats
| ) |  |

Read VpxTplGopStats from file.

Accepts an opened file handle and reads TPL stats and stores them into `tpl_gop_stats`. Allocates memory for TPL stats.

Parameters

  [in] | tpl_file | A FILE pointer that's already been opened.
  [out] | tpl_gop_stats | VpxTplGopStats that contains TPL stats for the whole GOP.

Returns
  VPX_CODEC_OK if TPL stats are successfully read from file.

## vpx_free_tpl_gop_stats()

void vpx_free_tpl_gop_stats | ( | VpxTplGopStats * | tpl_gop_stats | ) |

Free the memory allocated for VpxTplGopStats.

Parameters

  [in] | tpl_gop_stats | VpxTplGopStats that contains TPL stats for the whole GOP.